If you're on radiant 0.8 then you can checkout radiant-settings to this commit:

git checkout eec6e84dd7fc35ca94d2b50e9a12ef96d8b5d1d2

Otherwise settings is up to date for radiant 0.9. For that you can do
as Yevgeniy suggests and install the prerelease gem, but all you'll
need to do is run "rake radiant:update". You don't need to recreate
the project; and then rake "radiant db:migrate"

On Tue, May 4, 2010 at 9:35 PM, Yevgeniy A. Viktorov
<w...@osmonitoring.com> wrote:
>
> Or switch to 0.9rc:
>
>    sudo gem install radiant --pre
>
> You will need to re-create your project:
>
>    radiant new_project
>
> Or upgrade your project:
>
>    rake radiant:update
>    rake db:bootstrap ; !!! this will reset current database
>
> On Tue, May 04, 2010 at 07:07:45PM +0800, Pavel Timofeev wrote:
>> Hi Jayakumar,
>>
>> Open the file vendor/extensions/settings/settings_extension.rb
>>
>> and replace lines 19-21 with this code:
>> tab 'Settings' do
>>    add_item 'Application', '/admin/settings', :after => 'Extensions'
>> end
>>
>> to this one:
>> admin.tabs.add 'Application', '/admin/settings'
>>
>> It should help.
>>
>> Pavel
>>
>> On Tue, May 4, 2010 at 7:00 PM, Jayakumar Ramanathan 
>> <notga...@gmail.com>wrote:
>>
>> > Hello. I'm a novice to rails apps but am interested in using radiant for my
>> > website. The
>> > basic installation went ok. But I'm having trouble installing the settings
>> > extension (which in turn seems
>> > to be required for the Upload extension). The  trace is given below. I
>> > would
>> > be very thankful for any pointrs.
>> >
>> > Jay
>> >
>> >
>> > ______________________________________________________________________________
>> >
>> > > ~/Workshop/Code/test> rake ray:extension:install name=settings
>> > > (in /home/jayku/Workshop/Code/
>> > test)
>> > >
>> >
>> > ================================================================================
>> > > Your download preference has been set to git.
>> > >
>> >
>> > ================================================================================
>> > > git clone -q git://github.com/Squeegy/radiant-settings.git
>> > > vendor/extensions/ray/tmp/settings
>> > > mv vendor/extensions/ray/tmp/settings vendor/extensions/settings
>> > > rake -q RAILS_ENV=development radiant:extensions:settings:migrate
>> > > (in /home/jayku/Workshop/Code/test)
>> > > rake aborted!
>> > > undefined method `tab' for #<SettingsExtension:0xb705dcac>
>> > >
>> > > (See full trace by running task with --trace)
>> > >
>> >
>> > ================================================================================
>> > > The settings extension failed to install properly.
>> > > Specifically, the failure was caused by the extension's migrate task:
>> > > The extension has been disabled and placed in vendor/extensions/.disabled
>> > > If you would like to troubleshoot the extension re-enable it by running:
>> > > `rake ray:extension:enable name=settings` then run the migrate task with:
>> > > `rake radiant:extensions:settings:migrate --trace` and inspect the
>> > output.
>> > > ======================~/Workshop/Code/test> rake ray:extension:install
>> > > name=settings
>> > > (in /home/jayku/Workshop/Code/test)
>> > >
>> >
>> > ================================================================================
>> > > Your download preference has been set to git.
>> > >
>> >
>> > ================================================================================
>> > > git clone -q git://github.com/Squeegy/radiant-settings.git
>> > > vendor/extensions/ray/tmp/settings
>> > > mv vendor/extensions/ray/tmp/settings vendor/extensions/settings
>> > > rake -q RAILS_ENV=development radiant:extensions:settings:migrate
>> > > (in /home/jayku/Workshop/Code/test)
>> > > rake aborted!
>> > > undefined method `tab' for #<SettingsExtension:0xb705dcac>
>> > >
>> > > (See full trace by running task with --trace)
>> > >
>> >
>> > ================================================================================
>> > > The settings extension failed to install properly.
>> > > Specifically, the failure was caused by the extension's migrate task:
>> > > The extension has been disabled and placed in vendor/extensions/.disabled
>> > > If you would like to troubleshoot the extension re-enable it by running:
>> > > `rake ray:extension:enable name=settings` then run the migrate task with:
>> > > `rake radiant:extensions:settings:migrate --trace` and inspect the
>> > output.
>> > >
>> >
>> > ================================================================================
>> > > ==========================================================
>> > >
>> > > ~/Workshop/Code/test> rake radiant:extensions:settings:migrate --trace
>> > > (in /home/jayku/Workshop/Code/test)
>> > > ** Invoke radiant:extensions:settings:migrate (first_time)
>> > > ** Invoke environment (first_time)
>> > > ** Execute environment
>> > > rake aborted!
>> > > undefined method `tab' for #<SettingsExtension:0xb6fc2fa4>
>> > >
>> >
>> > /home/jayku/Workshop/Code/test/vendor/extensions/settings/settings_extension.rb:19:in
>> > > `activate'
>> > > /var/lib/gems/1.8/gems/radiant-0.8.2/lib/radiant/extension.rb:60:in
>> > > `activate'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:105:in
>> > > `to_proc'
>> > >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/lib/radiant/extension_loader.rb:98:in
>> > > `each'
>> > >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/lib/radiant/extension_loader.rb:98:in
>> > > `activate_extensions'
>> > > /var/lib/gems/1.8/gems/radiant-0.8.2/lib/radiant/initializer.rb:184:in
>> > > `after_initialize'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/railties/lib/initializer.rb:179:in
>> > > `process'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/railties/lib/initializer.rb:113:in
>> > > `send'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/railties/lib/initializer.rb:113:in
>> > > `run'
>> > > /var/lib/gems/1.8/gems/radiant-0.8.2/lib/radiant/initializer.rb:148:in
>> > `run'
>> > > /home/jayku/Workshop/Code/test/config/environment.rb:12
>> > > /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
>> > > /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in
>> > > `require'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in
>> > > `new_constants_in'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in
>> > > `require'
>> > >
>> >
>> > /var/lib/gems/1.8/gems/radiant-0.8.2/vendor/rails/railties/lib/tasks/misc.rake:4
>> > > /usr/lib/ruby/1.8/rake.rb:636:in `call'
>> > > /usr/lib/ruby/1.8/rake.rb:636:in `execute'
>> > > /usr/lib/ruby/1.8/rake.rb:631:in `each'
>> > > /usr/lib/ruby/1.8/rake.rb:631:in `execute'
>> > > /usr/lib/ruby/1.8/rake.rb:597:in `invoke_with_call_chain'
>> > > /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
>> > > /usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'
>> > > /usr/lib/ruby/1.8/rake.rb:607:in `invoke_prerequisites'
>> > > /usr/lib/ruby/1.8/rake.rb:604:in `each'
>> > > /usr/lib/ruby/1.8/rake.rb:604:in `invoke_prerequisites'
>> > > /usr/lib/ruby/1.8/rake.rb:596:in `invoke_with_call_chain'
>> > > /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
>> > > /usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'
>> > > /usr/lib/ruby/1.8/rake.rb:583:in `invoke'
>> > > /usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'
>> > > /usr/lib/ruby/1.8/rake.rb:2029:in `top_level'
>> > > /usr/lib/ruby/1.8/rake.rb:2029:in `each'
>> > > /usr/lib/ruby/1.8/rake.rb:2029:in `top_level'
>> > > /usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
>> > > /usr/lib/ruby/1.8/rake.rb:2023:in `top_level'
>> > > /usr/lib/ruby/1.8/rake.rb:2001:in `run'
>> > > /usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
>> > > /usr/lib/ruby/1.8/rake.rb:1998:in `run'
>> > > /usr/bin/rake:28
>> > > ~/Workshop/Code/test>
>> > >
>> > >
>> --
>> With best regards,
>> Pavel

-- 
Jim Gay
http://www.saturnflyer.com
_______________________________________________
Radiant mailing list
Post: Radiant@radiantcms.org
Search: http://radiantcms.org/mailing-list/search/
List Site: http://lists.radiantcms.org/mailman/listinfo/radiant
Radiant: http://radiantcms.org
Extensions: http://ext.radiantcms.org

Reply via email to